net.snowflake.client.core

## Class SecureStorageAppleManager

- java.lang.Object
- - net.snowflake.client.core.SecureStorageAppleManager

    public class SecureStorageAppleManager
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SecureStorageManager.SecureStorageStatus`

### Field Summary

Fields
`static int` `COLON_CHAR_LENGTH`
`static String` `DRIVER_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Default Methods
`static SecureStorageAppleManager` `builder()`
`static String` `convertTarget(String host, String user)`
`SecureStorageManager.SecureStorageStatus` `deleteCredential(String host, String user)`
`String` `getCredential(String host, String user)`
`SecureStorageManager.SecureStorageStatus` `setCredential(String host, String user, String cred)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DRIVER_NAME

    public static final String DRIVER_NAME

See Also:
  Constant Field Values

#### COLON_CHAR_LENGTH

    public static final int COLON_CHAR_LENGTH

See Also:
  Constant Field Values

### Method Detail

#### builder

    public static SecureStorageAppleManager builder()

#### setCredential

    public SecureStorageManager.SecureStorageStatus setCredential(String host,
                                                                  String user,
                                                                  String cred)

#### getCredential

    public String getCredential(String host,
                                String user)

#### deleteCredential

    public SecureStorageManager.SecureStorageStatus deleteCredential(String host,
                                                                     String user)

#### convertTarget

    public static String convertTarget(String host,
                                       String user)